<?xml version="1.0" encoding="utf-8" ?>
<IMAGE_GROUP_BOX id="midi_pane" system_widget="true" visible="false" spacing="2" text_color="#aaaaaa">
      <INCLUDE_ONCE file="text_button/text_button.inc"/>
      <DEFINE>  
        <CUS_EDIT_BOX base_type="PARAM_TEXT_EDIT_BOX" width="25" height="14" show_edges="false" background_color="#000000" content="{text_value}"/>
      </DEFINE>

      <CUS_VBLACK_BOX>	
		  <TABLE v_spacing="1" h_spacing="12" text_color="#aaaaaa">
			 <TABLE_ROW>
				<CELL width="50"/>
                <PARAM_TEXT param_id="dsp.output0" content="{name}" width="70"/>
                <PARAM_TEXT param_id="dsp.output1" content="{name}" width="70"/>
                <PARAM_TEXT param_id="dsp.output2" content="{name}" width="70"/>				     
			 </TABLE_ROW>
			 <TABLE_ROW>
				<CELL height="2"/>
			 </TABLE_ROW>
			 <TABLE_ROW>
				<TEXT value="MIDI Out" h_align="left"/>
                    <CUS_PARAM_TEXT_BUTTON param_id="midi.output0.enabled" width="25" height="15"/>
                    <CUS_PARAM_TEXT_BUTTON param_id="midi.output1.enabled" width="25" height="15"/>
                    <CUS_PARAM_TEXT_BUTTON param_id="midi.output2.enabled" width="25" height="15"/>
			 </TABLE_ROW>      
			 <TABLE_ROW>
				<TEXT value="Channel" h_align="left"/>
                <CUS_EDIT_BOX param_id="midi.output0.channel"/>
                <CUS_EDIT_BOX param_id="midi.output1.channel"/>
                <CUS_EDIT_BOX param_id="midi.output2.channel"/>			     
			 </TABLE_ROW>
			 <TABLE_ROW>
				<TEXT value="CC" h_align="left"/>
                <CUS_EDIT_BOX param_id="midi.output0.cc"/>
                <CUS_EDIT_BOX param_id="midi.output1.cc"/>
                <CUS_EDIT_BOX param_id="midi.output2.cc"/>				 
			</TABLE_ROW>
			 <TABLE_ROW>
				<TEXT value="Learn" h_align="left"/>
                
                <PARAM id="learn_out0" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out0" to="learn_out0_channel.enabled;learn_out0_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out0_channel.enabled;learn_out0_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output0.channel" enabled="false" id="learn_out0_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output0.cc" enabled="false" id="learn_out0_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out0"/>
                
                <PARAM id="learn_out1" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out1" to="learn_out1_channel.enabled;learn_out1_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out1_channel.enabled;learn_out1_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output1.channel" enabled="false" id="learn_out1_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output1.cc" enabled="false" id="learn_out1_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out1"/>
                
                <PARAM id="learn_out2" type="boolean" default="0" persistent="true"/>
                <PARAM_MULTI_LINK from="learn_out2" to="learn_out2_channel.enabled;learn_out2_cc.enabled"/>
                <PERSISTENT_OBJECTS object_ids="learn_out2_channel.enabled;learn_out2_cc.enabled"/>
                <PARAM_LINK from="midi.last_message.channel" to="midi.output2.channel" enabled="false" id="learn_out2_channel"/>
                <PARAM_LINK from="midi.last_message.cc" to="midi.output2.cc" enabled="false" id="learn_out2_cc"/>
                <CUS_ON_OFF_BUTTON param_id="learn_out2"/> 
			</TABLE_ROW>
		</TABLE>
	</CUS_VBLACK_BOX>
</IMAGE_GROUP_BOX>